<?php

namespace DuD\WettbewerbBundle\Migrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class VersionXXXX extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Creates the tl_wettbewerb table.';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('CREATE TABLE tl_wettbewerb (
            id INT AUTO_INCREMENT NOT NULL, 
            userid INT NOT NULL, 
            pid INT NOT NULL, 
            tstamp INT NOT NULL, 
            punkte INT NOT NULL, 
            PRIMARY KEY(id)
        )');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('DROP TABLE tl_wettbewerb');
    }
}
